=== modified file 'lib/lp/registry/browser/distroseries.py'
--- lib/lp/registry/browser/distroseries.py	2011-06-03 00:13:41 +0000
+++ lib/lp/registry/browser/distroseries.py	2011-06-07 17:50:20 +0000
@@ -1070,7 +1070,7 @@
             job_source.create(
                 dsd.source_package_name.name,
                 dsd.parent_series.main_archive, target_archive,
-                target_distroseries, PackagePublishingPocket.UPDATES,
+                target_distroseries, PackagePublishingPocket.RELEASE,
                 package_version=dsd.parent_source_version,
                 copy_policy=PackageCopyPolicy.MASS_SYNC)
 

=== modified file 'lib/lp/registry/browser/tests/test_distroseries.py'
--- lib/lp/registry/browser/tests/test_distroseries.py	2011-06-02 18:36:43 +0000
+++ lib/lp/registry/browser/tests/test_distroseries.py	2011-06-07 17:50:20 +0000
@@ -1049,6 +1049,9 @@
         # that need doing.
         dsd = self.makePackageUpgrade()
         series = dsd.derived_series
+        with celebrity_logged_in('admin'):
+            series.status = SeriesStatus.DEVELOPMENT
+            series.datereleased = UTC_NOW
         view = self.makeView(series)
         view.requestUpgrades()
         job_source = getUtility(IPlainPackageCopyJobSource)
@@ -1059,6 +1062,7 @@
         self.assertEquals(series, job.target_distroseries)
         self.assertEqual(dsd.source_package_name.name, job.package_name)
         self.assertEqual(dsd.parent_source_version, job.package_version)
+        self.assertEqual(PackagePublishingPocket.RELEASE, job.target_pocket)
 
     def test_upgrade_gives_feedback(self):
         # requestUpgrades doesn't instantly perform package upgrades,

